# $Revision: 1.30 $, $Date: 2006/12/20 11:39:36 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Database Independent Abstraction Layer for C
Summary(pl):	Warstwa DBI dla C
Name:		libdbi
Version:	0.8.1
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
# Source0-md5:	72a3d26b410ffb428b7a02d6224075c1
Patch0:		%{name}-opt.patch
URL:		http://libdbi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of code,
programmers can leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.

%description -l pl
libdbi jest implementacj w C warstwy abstrakcyjnej niezalenej od
bazy danych, podobnej do warstwy DBI/DBD w Perlu. Uywajc tego
rodowiska programista moe za pomoc jednego, wsplnego kodu
odwoywa si do wielu rnych baz danych, take jednoczenie.

%package devel
Summary:	Development files for Database Independent Abstraction Layer for C
Summary(pl):	Pliki dla programistw uywajcych warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i dokumentacj do tworzenia
aplikacji z uyciem libdbi.

%package static
Summary:	Static Database Independent Abstraction Layer for C libraries
Summary(pl):	Statyczne biblioteki warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Database Independent Abstraction Layer for C libraries.

%description static -l pl
Statyczne biblioteki warstwy DBI w C.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/dbd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%dir %{_libdir}/dbd
%attr(755,root,root) %{_libdir}/libdbi.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/programmers-guide
%attr(755,root,root) %{_libdir}/libdbi.so
%{_libdir}/libdbi.la
%{_includedir}/dbi

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdbi.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdbi.spec,v $
Revision 1.30  2006/12/20 11:39:36  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.29  2005/10/22 00:01:18  qboosh
- updated to 0.8.1

Revision 1.28  2005/09/02 22:23:03  qboosh
- updated to 0.8.0, updated opt patch

Revision 1.27  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.26  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.25  2004/01/17 21:17:29  qboosh
- updated to 0.7.2
- removed R: for -dbd - not needed for only development, breaks bootstrap

Revision 1.24  2003/07/14 08:29:46  wiget
- updated libdbi to 0.7.1
- drivers are in libdbi-drivers.spec (in 0.7.0 version)

Revision 1.23  2003/06/09 07:24:34  trojan
- added _without_pgsql bcond

Revision 1.22  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:49:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.19  2003/01/19 01:40:31  qboosh
- 0.6.7, removed obsolete mysql patch

Revision 1.18  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/30 20:20:33  kloczek
- release 2.

Revision 1.15  2002/08/02 18:11:52  kloczek
- added "rm -f missing" on top %build.

Revision 1.14  2002/08/01 18:16:37  qboosh
- working URL, new %%doc, use proper CFLAGS (opt patch)

Revision 1.13  2002/08/01 12:07:16  mwinkler
- updated to 0.6.5, STBR

Revision 1.12  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/04 14:07:29  qboosh
- pl translations, cosmetics
- changed group to Libraries in non-development packages
- removed static library from -devel (it is in -static)
- release 2

Revision 1.5  2001/08/24 09:14:58  wrobell
- ver. 0.6.2

Revision 1.4  2001/08/17 20:39:17  kloczek
- updated to 0.6.

Revision 1.3  2001/08/06 15:55:04  kloczek
- added Source url,
- added BuildRequires rules,
- added static subpackage,
- removed .la files from dbd-* subpackages (not neccessary),
- removed "postgresql >= 7.0.3" and "mysqlclient9 >= 3.23.22" Requires rules
  from dbd-* subpackes,
- soem cleanups in %files,
- added "Provides: %%{name}-dbd" for dbd-* subpackages adn "Require: %%{name}-dbd"
  for main rules for prevent install libdbi without any dbd backend module.

Revision 1.2  2001/08/06 14:56:51  wrobell
- added -p switch for post and postun macros

Revision 1.1  2001/08/06 13:36:57  wrobell
- based on original spec

* Sat Aug 4 2001 David Parker <david@neongoat.com>
- initial spec file created
